Skip to main content
`Ctrl`+`K`

# DMUseTensorOrder

Use a tensor product closure ordering for the default section

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMUseTensorOrder(DM dm, PetscBool tensor)

## Input Parameters

- dm - The DM

- tensor - Flag for tensor order

## See Also

`DMPlexSetClosurePermutationTensor()`, `PetscSectionResetClosurePermutation()`

## Level

developer

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages